﻿* Encoding: UTF-8.

***** Kaplanova-Meierova křivka přežití *****.

* Načtení souboru Data_preziti.xlsx.
GET DATA
  /TYPE=XLSX
  /FILE='C:\Users\koritakova\Documents\Vyuka\DSAN01\2020 '+
    'jaro\DSAN01_blok8\analyza_preziti\data_preziti\Data_preziti.xlsx'
  /SHEET=name 'Data_preziti'
  /CELLRANGE=FULL
  /READNAMES=ON
  /DATATYPEMIN PERCENTAGE=95.0
  /HIDDEN IGNORE=YES.
EXECUTE.

* Kaplan-Meier - jeden výběr.
KM cas
  /STATUS=umrti(1)
  /PRINT TABLE MEAN
  /PLOT SURVIVAL.


* Načtení souboru Data_preziti_2kat.xlsx.
GET DATA
  /TYPE=XLSX
  /FILE='C:\Users\koritakova\Documents\Vyuka\DSAN01\2020 '+
    'jaro\DSAN01_blok8\analyza_preziti\data_preziti\Data_preziti_2kat.xlsx'
  /SHEET=name 'Data_preziti_2kat_SPSS'
  /CELLRANGE=FULL
  /READNAMES=ON
  /DATATYPEMIN PERCENTAGE=95.0
  /HIDDEN IGNORE=YES.
EXECUTE.

* Kaplan-Meier - dva či více výběrů.
KM cas BY Skupina
  /STATUS=umrti(1)
  /PRINT TABLE MEAN
  /PLOT SURVIVAL
  /TEST LOGRANK
  /COMPARE OVERALL POOLED.


***** Úkol 1 *****.

* Načtení souboru Data_preziti_3kat.xlsx.
GET DATA
  /TYPE=XLSX
  /FILE='C:\Users\koritakova\Documents\Vyuka\DSAN01\2020 '+
    'jaro\DSAN01_blok8\analyza_preziti\data_preziti\Data_preziti_3kat.xlsx'
  /SHEET=name 'Data_preziti_3kat'
  /CELLRANGE=FULL
  /READNAMES=ON
  /DATATYPEMIN PERCENTAGE=95.0
  /HIDDEN IGNORE=YES.
EXECUTE.

* Kaplan-Meier - dva či více výběrů.
KM cas BY Skupina
  /STATUS=umrti(1)
  /PRINT TABLE MEAN
  /PLOT SURVIVAL
  /TEST LOGRANK
  /COMPARE OVERALL POOLED.



***** Coxův model proporcionálních rizik *****.

* Načtení souboru Data_Cox.xlsx.
GET DATA
  /TYPE=XLSX
  /FILE='c:\Users\koritakova\Documents\Vyuka\DSAN01\2017 jaro\DSAN01_blok7\data_preziti\Data_Cox.xlsx'
  /SHEET=name 'Data_Cox'
  /CELLRANGE=FULL
  /READNAMES=ON
  /DATATYPEMIN PERCENTAGE=95.0
  /HIDDEN IGNORE=YES.
EXECUTE.

* Kaplan-Meier - dva či více výběrů - pro vykreslení křivek přežití.
KM OS_doba_mesice BY ECOG1
  /STATUS=umrti(1)
  /PRINT TABLE MEAN
  /PLOT SURVIVAL
  /TEST LOGRANK
  /COMPARE OVERALL POOLED.

* Coxův model.
COXREG OS_doba_mesice
  /STATUS=umrti(1)
  /METHOD=ENTER ECOG1 
  /PLOT SURVIVAL
  /PRINT=CI(95)
  /CRITERIA=PIN(.05) POUT(.10) ITERATE(20).



***** Úkol 2 *****.

* Načtení souboru Data_preziti_2kat.xlsx.
GET DATA
  /TYPE=XLSX
  /FILE='C:\Users\koritakova\Documents\Vyuka\DSAN01\2020 '+
    'jaro\DSAN01_blok8\analyza_preziti\data_preziti\Data_preziti_2kat.xlsx'
  /SHEET=name 'Data_preziti_2kat_SPSS'
  /CELLRANGE=FULL
  /READNAMES=ON
  /DATATYPEMIN PERCENTAGE=95.0
  /HIDDEN IGNORE=YES.
EXECUTE.

* Kaplan-Meier - dva či více výběrů - pro vykreslení křivek přežití.
KM cas BY Skupina
  /STATUS=umrti(1)
  /PRINT TABLE MEAN
  /PLOT SURVIVAL
  /TEST LOGRANK
  /COMPARE OVERALL POOLED.

* Coxův model.
COXREG cas
  /STATUS=umrti(1)
  /METHOD=ENTER Skupina 
  /PLOT SURVIVAL
  /PRINT=CI(95)
  /CRITERIA=PIN(.05) POUT(.10) ITERATE(20).

